Bug Hunting Session
Bug 111838 - PPTX with shape having multiple effects opens with repair in PowerPoint after roundtrip
Summary: PPTX with shape having multiple effects opens with repair in PowerPoint after...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2017-08-16 01:14 UTC by Aron Budea
Modified: 2017-09-06 10:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample PPTX (29.77 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-08-16 01:17 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-08-16 01:14:15 UTC
The attached presentation contains a single shape with a shadow and a glow effect set.
Save it as a new PPTX in Impress. (note that the glow effect is not shown, possibly unsupported?) The resulting file opens with an error in PowerPoint.

The issue seems to be that there are multiple <a:effectLst> elements after the same, they aren't grouped like in the original file. Possibly a grab-bag handling issue? (wild guess)

Observed using LO 6.0 daily build (2017-08-15_01:59:49, bebaac5eb6ebd2db3e1ea22b1630111343a9c25c) / Windows 7.
Works fine in 5.4.0.3.
=> regression
Comment 1 Aron Budea 2017-08-16 01:17:16 UTC
Created attachment 135569 [details]
Sample PPTX
Comment 2 Aron Budea 2017-08-16 01:58:26 UTC
The following daily build saves the file fine, this must be a fresh regression.
2017-08-11_06:44:17 (46b4eb8b0e9325f8c29cd391baf9504bccee1837)
Comment 3 Xisco Faulí 2017-08-16 09:39:59 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: a19dc104ec008f0bb44676d63d4764c6d7442a0d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 4 Aron Budea 2017-09-05 14:24:28 UTC
Bug still in daily build 2017-09-04_00:07:35 (abe958a713ff0c26a3f91c558a2f227c1996c592).
Comment 5 Aron Budea 2017-09-06 09:36:48 UTC
Bibisected to the following commit using bibisect-linux-64-6.0. Adding Cc: to Tamás Zolnai, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=787732fac0aef255bdc51479fdaddf15532d118e
author		Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-14 04:11:14 (GMT)
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-14 05:37:23 (GMT)

"Decrease duplicated code"
Comment 6 Aron Budea 2017-09-06 09:43:32 UTC
In the bad XML the effects are listed like this:
  <a:effectLst>
    <a:glow rad="355600">
      <a:schemeClr val="accent1">
        <a:alpha val="40000"/>
      </a:schemeClr>
    </a:glow>
  </a:effectLst>
  <a:effectLst>
    <a:outerShdw algn="t" blurRad="76200" dir="2760000" dist="431800" rotWithShape="0">
      <a:srgbClr val="000000">
        <a:alpha val="40000"/>
      </a:srgbClr>
    </a:outerShdw>
  </a:effectLst>

In the good version there's no </a:effectLst> / <a:effectLst> between the two effects.
Comment 7 Tamás Zolnai 2017-09-06 09:57:50 UTC
(In reply to Aron Budea from comment #5)
> Bibisected to the following commit using bibisect-linux-64-6.0. Adding Cc:
> to Tamás Zolnai, please take a look sometimes.
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=787732fac0aef255bdc51479fdaddf15532d118e
> author		Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-14 04:11:14 (GMT)
> committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-14 05:37:23 (GMT)
> 
> "Decrease duplicated code"

Yeap, it was a dump mistake. I'll revert this commit. Thanks for bisecting the commit!
Comment 8 Commit Notification 2017-09-06 10:49:26 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3f98b8e1f9eb0804e18bea055fb02917aca42a5

tdf#111838: Revert "Decrease duplicated code"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.